/* chats.css */

.chat-remind{
    z-index: 1050;
    position: fixed;
    right: -38px;
    bottom: 24px;
}
.remind-message, .remind-message2{
    z-index: 1055;
    position: fixed;
    right: 45px;
    bottom: 100px;
    transition: 0.5s;
}
.remind-message p, .remind-message2 p{
    background: #fff;
    margin: 0;
    padding: 10px 18px;
    box-shadow: 0 2px 9px 2px rgb(0 0 0 / 19%);
    border-radius: 7px;
    line-height: 1.5rem;
    font-family: 'Helvetica';
    font-size: 0.9rem;
    color: #373636;
}
/* <br> in second message */
.br-second-message-small{
    display: none;
}
.remind-x-div{
    position: fixed;
    right: 43px;
    margin-top: -31px;
}
.remind-x-span{
    background: #fff;
    padding: 7px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.2s ease all;
    transform: scale(1);
}
.remind-x-span:hover{
    cursor: pointer;
    transform: scale(1.1);
}

.remind-x-span:hover .remind-x-img{
    cursor: pointer;
    transform: scale(1.1);
}

.remind-x-img{
    width: 8px;
    opacity: 0.7;
}
.chat-bar-collapsible {
    position: fixed;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    bottom: 27px;
    right: 17px;
    border-radius: 13px;
    overflow: hidden;
    z-index: 1055;
}
.collapsible {
    outline: none;
    border: none;
    position: fixed;
    bottom: 22px;
    right: 22px;
    background: transparent;
    z-index: 2024;
}

/* add class in collapsible js */
.right-39{
    right: 38.3px;
}
.right-34{
    right: 34px;
}
.collapsible img{
    width: 4.2rem;
    border-radius: 50%;
    box-shadow: 1px 3px 7px 0px rgb(3 3 3 / 30%);
}
.content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    background-color: #f1f1f1;
    animation-delay: 5s;
}
.full-chat-block {
    width: 370px;
    background: rgb(234 238 243);
    text-align: center;
    scrollbar-width: none;
    height: max-content;
    transition: max-height 0.2 ease-out;
}
.outer-container {
    min-height: 554px;
    bottom: 0%;
    position: relative;
    transition: 0.3s;
}
.chat-container {
    max-height: 481px;
    width: 100%;
    position: absolute;
    bottom: 78px;
    left: 0;
}
.chat-container::-webkit-scrollbar {
    display: none;
}
.chat-bar-input-block {
    display: flex;
    float: left;
    box-sizing: border-box;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    background-color: white;
    padding: 10px;
    border-top: 0.1px solid #00000029;
}
.chat-bar-icons {
    width: 16%;
    text-align: center;
}
#chat-icon:hover {
    opacity: .7;
}

/* Chat bubbles */
#chat-timestamp{
    font-size: 1rem;
    font-weight: 400;
    opacity: 0.8;
    margin-top: 1rem;
}
#userInput {
    width: 83%;
}
.input-box {
    float: left;
    border: none;
    box-sizing: border-box;
    width: 100%;
    padding: 8px;
    font-size: 15px;
    color: #000;
    background-color: white;
    outline: none;
}
.input-warning{
    font-size: 10px;
    text-align: left;
    color: red;
    margin-bottom: 0;
    padding: 3px;
}
.userText {
    color: white;
    font-family: Helvetica;
    font-size: 14px;
    font-weight: normal;
    text-align: right;
    clear: both;
}
.userText span {
    line-height: 1.5em;
    display: inline-block;
    background: #44ca4c;
    padding: 13px;
    border-radius: 15px;
    border-top-right-radius: 5px;
    max-width: 75%;
    margin-right: 30px;
    animation: floatup .5s forwards;
    text-align: left;
}
.botText {
    color: #000;
    font-family: Helvetica;
    font-weight: normal;
    font-size: 14px;
    text-align: left;
    margin-bottom: 11px;
}

.botText span {
    line-height: 1.5em;
    display: inline-block;
    background: #fff;
    padding: 13px;
    border-radius: 15px;
    /* border-top-left-radius: 0px; */
    max-width: 75%;
    margin-left: 50px;
    animation: floatup .5s forwards;
}
@keyframes floatup {
    from {
        transform: translateY(14px);
        opacity: .0;
    }
    to {
        transform: translateY(0px);
        opacity: 1;
    }
}

#chatbox{
    max-height: 478px;
    overflow-y: auto;
    scroll-behavior: smooth;
    bottom: 0;
    transition: 0.3s;
}
.chat-input-div {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 5;
    width: 100%;
}
.chat-bot-header{
    display: flex;
    width: 100%;
    padding: 13px 24px;
    background: #fff;
    box-shadow: 0 0 6px 1px rgb(0 0 0 / 12%);
    align-items: center;
    position: relative;
    z-index: 2;
}
.x-chat{
    position: absolute;
    top: 13px;
    right: 24px;
}
.x-chat img{
    width: 13px;
    opacity: 0.6;
    transition: 0.3s;
}
.x-chat img:hover{
    cursor: pointer;
    opacity: 0.8;
    transform: scale(1.1);
}
.chat-avatar{
    width: 67px;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 0px 0px 3px 4px rgb(0 0 0 / 5%);
}
.chat-avatar img{
    width: 100%;
    padding: 2px;
}
.chat-name{
    padding-left: 22px;
    line-height: 10px;
    font-size: 21px;
}
.chat-name h4{
    margin: 0;
}
.chat-name span{
    font-size: 11px;
    opacity: 0.6;
}
#chat-icon{
    width: 25px;
    opacity: 0.4;
}
.chat-footer-div{
    text-align: center;
    color: #fefefe;
    background: #44ca4c;
}
.chat-footer-div p{
    margin: 0;
    font-size: 11px;
    padding: 3px;
}
.max-height-chat{
    max-height: 647px;
}
.topic-btn{
    border: 1px solid rgb(0 108 255);
    padding: 7px;
    margin-bottom: 12px;
    margin-left: 14px;
    width: 90%;
    border-radius: 15px;
    font-size: 13px;
    color: rgb(0 61 144);
    font-family: 'Poppins';
    transition: all 0.3s ease;
}
.topic-btn:hover{
    color: #fff;
    background: #44ca4c;
    border: 1px solid #41bd49;
}
.topic-div, .response-topic{
    width: 100%;
    margin: 0;
    padding: 7px 30px;
    padding-top: 0;
    flex-direction: column;
    align-items: center;
}
.typing{
    width: 70px;
}
.first-loader{
    background-color: transparent !important;
    padding: 0 !important;
}
/* .response-visible{
    display: none;
}
.response-visible:last-child{
    display: block;
} */

.topic-div div{
    padding: 0;
}
.usertext-label{
    text-align: right;
    margin-right: 34px;
    margin-bottom: 3px;
    font-size: 12px;
    font-family: var(--Poppins);
    font-weight: 100;
}
.chatbot-avatar{
    width: 29px;
    border-radius: 50%;
    margin-right: 5px;
}
.chatbot-avatar-p{
    text-align: left;
    margin: 0;
    margin-left: 20px;
    margin-bottom: 5px;
    font-family: 'Poppins';
    font-weight: 200;
    font-size: 11px;
}

.yes-no-chatbot{
    color: #ffffff;
    text-decoration: none;
    padding: 7px 20px;
    background-color: #45ca4d;
    border-radius: 45px;
    margin-right: 18px;
    text-transform: uppercase;
    font-size: 0.9rem;
    transition: 0.2s;
    font-weight: 500;
}
.yes-no-chatbot:last-child{
    color: #454545;
    background-color: #ffffff;
    margin-right: 0px;
    border: none;
}
.yes-no-chatbot:hover{
    color: #ffffff;
    background-color: #2fa937;

}
.yes-no-chatbot:last-child:hover{
    color: #454545;
    background-color: #f9f9f9;
}
@media only screen and (max-width: 990px){
    .collapsible img{
        width: 3.7rem;
    }
    .remind-message, .remind-message2 {
        right: 42px;
        bottom: 90px;
    }
    .chat-remind{
        right: -49px;
        bottom: 9px;
    }
}
@media only screen and (max-height: 668px){
    .outer-container{
        min-height: 450px;
    }
    #chatbox{
        max-height: 375px;
    }
}
@media only screen and (max-height: 578px){
    .outer-container{
        min-height: 360px;
    }
    #chatbox{
        max-height: 287px;
    }
}
@media only screen and (max-width: 500px){
    .collapsible {
        bottom: 10px;
        right: 10px;
    }
    .remind-message, .remind-message2{
        right: 30px;
        bottom: 77px;
    }
    .remind-x-div{
        right: 29px;
    }
    .chat-remind{
        right: -57px;
        bottom: 0px;
    }
}
@media only screen and (max-height: 490px){
    .outer-container{
        min-height: 272px;
    }
    #chatbox{
        max-height: 203px;
    }
}
@media only screen and (max-height: 400px){
    .outer-container{
        min-height: 182px;
    }
    #chatbox{
        max-height: 114px;
    }
}

@media only screen and (max-width: 382px){
    .br-second-message{
        display: none;
    }
    .br-second-message-small{
        display: inline;
    }
    .remind-message, .remind-message2{
        right: 15px;
    }
    .remind-x-div{
        right: 15px;
    }
}
@media only screen and (max-width: 376px){
    .chat-bar-collapsible{
        right: 9px;
    }
    .full-chat-block{
        width: 342px;
    }
}
@media only screen and (max-width: 320px){
    .chat-bar-collapsible{
        right: 0px;
        bottom: 5px;
    }
    .full-chat-block{
        width: 319px;
    }
}
